
QGIS Application - Bug report #21523

QGis 3.6 Saga, every raster function fail

2019-03-08 01:04 PM - Andreas Olsson

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 29339

Description

DTM filter and other filters fail with generating output.

->>

Processing algorithm…

Algorithm 'Dtm filter (slope-based)' starting…

Input parameters:{ 'GROUND' : 'TEMPORARY_OUTPUT', 'INPUT' : 'C:/Users/AndreasO/OneDrive -

JVAB/Projekt_2016/Sjödalsvägen/GIS/5D_scannad_filledNoData_clipped.tif', 'NONGROUND' : 'TEMPORARY_OUTPUT', 'RADIUS' :

2, 'STDDEV ' : True, 'TERRAINSLOPE' : 30 }

io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS

"C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/e672120c6f714808af71a353384269d5/5DscannadfilledNoDataclipped.sgrd" -FILES "C:

scannadfilledNoDataclipped.sgrd" -FILES "C:/Users/AndreasO/OneDrive -

JVAB/Projekt_2016/Sjödalsvägen/GIS/5D_scannad_filledNoData_clipped.tif" 

grid_filter "DTM Filter (slope-based)" -INPUT

"C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/e672120c6f714808af71a353384269d5/5DscannadfilledNoDataclipped.sgrd" -RADIUS 2 -T

scannadfilledNoDataclipped.sgrd" -RADIUS 2 -TERRAINSLOPE 30.0 -STDDEV true -GROUND

"C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/13cae3e1de504b22be375879a3501c73/GROUND.sdat" 

ROUND.sdat" 

grid_filter "DTM Filter (slope-based)" -INPUT

"C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/e672120c6f714808af71a353384269d5/5DscannadfilledNoDataclipped.sgrd" -RADIUS 2 -T

scannadfilledNoDataclipped.sgrd" -RADIUS 2 -TERRAINSLOPE 30.0 -STDDEV true -GROUND

"C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/13cae3e1de504b22be375879a3501c73/GROUND.sdat" -NONGROUND "C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/5afcff7b274c442eb757e46ecdf56574/NONGROUND.sdat"

ROUND.sdat" -NONGROUND

"C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/5afcff7b274c442eb757e46ecdf56574/NONGROUND.sdat"

NGROUND.sdat"

C:\PROGRA~1\QGIS3~1.6\bin>set SAGA=C:/PROGRA~1/QGIS3~1.6/apps\saga-ltr

C:\PROGRA~1\QGIS3~1.6\bin>set SAGA_MLB=C:/PROGRA~1/QGIS3~1.6/apps\saga-ltr\modules

C:\PROGRA~1\QGIS3~1.6\bin>PATH=C:\PROGRA~1\QGIS3~1.6\apps\qgis\bin;C:\PROGRA~1\QGIS3~1.6\apps\grass\grass-7.6.0\lib

C:\PROGRA~1\QGIS3~1.6\apps\grass\grass-7.6.0\bin;C:\PROGRA~1\QGIS3~1.6\apps\Python37;C:\PROGRA~1\QGIS3~1.6\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.6\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.6\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.6\b

on37\Scripts;C:\PROGRA~1\QGIS3~1.6\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.6\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.6\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\numpy\.libs;C:/PROGRA~1/QGIS3~1.6/apps\saga-ltr;C

;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\numpy\.libs;C:/PROGRA~1/QGIS3~1.6/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.6/apps\saga-ltr\modules

ywin32_system32;C:\PROGRA~1\QGIS3~1.6\apps\Python37\lib\site-packages\numpy\.libs;C:/PROGRA~1/QGIS3~1.6/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.6/apps\saga-ltr\modules

PROGRA~1/QGIS3~1.6/apps\saga-ltr\modules

C:\PROGRA~1\QGIS3~1.6\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS

"C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/e672120c6f714808af71a353384269d5/5DscannadfilledNoDataclipped.sgrd" -FILES "C:/Users/AndreasO/OneDrive - JVAB/Pro
scannadfilledNoDataclipped.sgrd" -FILES "C:/Users/AndreasO/OneDrive -

JVAB/Projekt_2016/Sjödalsvägen/GIS/5D_scannad_filledNoData_clipped.tif" 

Execution completed in 10.61 seconds

Results:{'GROUND':

'C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/13cae3e1de504b22be375879a3501c73/GROUND.sdat',

ROUND.sdat',

'NONGROUND':

'C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/5afcff7b274c442eb757e46ecdf56574/NONGROUND.sdat'

GROUND.sdat'}

Loading resulting layers

The following layers were not correctly

generated.<ul><li>C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/13cae3e1de504b22be375879a3501c73/GROUND.sdat</li><li>C:/Us

75879a3501c73/GROUND.sdat</li><li>C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/5afcff7b274c442eb757e46ecdf56574/NONGROUND.sdat</li><li>C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/5dac07bc9d494d8d928263

fcff7b274c442eb757e46ecdf56574/NONGROUND.sdat</li><li>C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/5dac07bc9d494d8d9282635a7e2c9885/GROUND.sdat</li><li>C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/dca56f1964614e50977ea5f22c3c3978/NONGROUND.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to fi

48a4fc71fca54afcdb/5dac07bc9d494d8d9282635a7e2c9885/GROUND.sdat</li><li>C:/Users/AndreasO/AppData/Local/Temp/processing_18e63b827cdf4548a4fc71fca54afcdb/dca56f1964614e50977ea5f22c3c3978/NONGROUND.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

ing_18e63b827cdf4548a4fc71fca54afcdb/dca56f1964614e50977ea5f22c3c3978/NONGROUND.sdat</li></ul>You can check the 'Log

Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

Related issues:

Related to QGIS Application - Bug report # 21530: error at the end of SAGA logs Open 2019-03-08

History

#1 - 2019-03-08 01:58 PM - Giovanni Manghi

- Category changed from Analysis library to Processing/SAGA

- Status changed from Open to Feedback

I can't confirm with "DTM filter" and a DTM of my own. I also tried other tools.

Actually in QGIS 3.6 Processing log when SAGA finishes the following appears

Loading resulting layers

The following layers were not correctly

generated.<ul><li>C:/Users/qgis/AppData/Local/Temp/processing_78672142d2a448ee80c46f3c600901c9/0f148c064e624b7e815a936a301e85a3/C_GENE.sdat</li><li>C:/Users/qgis/AppData/

ENE.sdat</li><li>C:/Users/qgis/AppData/Local/Temp/processing_78672142d2a448ee80c46f3c600901c9/65c98a4ab4f047c99b8ddec8093d9d84/SLOPE.sdat</li><li>C:/Users/qgis/AppData/Local/Temp/processing_78672142d2a448ee80c46f3c600901c9/f36ee388fb4340c181b64c2e56f0e081/ASPECT.sdat</li></ul>You can check the 'Log M

E.sdat</li><li>C:/Users/qgis/AppData/Local/Temp/processing_78672142d2a448ee80c46f3c600901c9/f36ee388fb4340c181b64c2e56f0e081/ASPECT.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

dat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

but the results are loaded anyway.

Is this you are observing?

#2 - 2019-03-09 05:24 PM - Alexander Bruy

- Related to Bug report #21530: error at the end of SAGA logs added

#3 - 2019-03-09 05:27 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

yes, it seems that in 3.6 SAGA always throws an error at the end of the log, but outputs are generated.
#4 - 2019-03-09 05:34 PM - Andreas Olsson

Giovanni Manghi wrote:

yes, it seems that in 3.6 SAGA always throws an error at the end of the log, but outputs are generated.

Can’t find any output when I specified where to save it and what to name it.

#5 - 2019-03-09 07:50 PM - Giovanni Manghi

Andreas Olsson wrote:

Giovanni Manghi wrote:

yes, it seems that in 3.6 SAGA always throws an error at the end of the log, but outputs are generated.

Can’t find any output when I specified where to save it and what to name it.

I tested on 3.6 on Windows and Linux, if outputs are defined to a specific path and file name then they are created despite the final message in the log.

#6 - 2019-03-09 08:10 PM - Andreas Olsson

Giovanni Manghi wrote:

Andreas Olsson wrote:

Giovanni Manghi wrote:

yes, it seems that in 3.6 SAGA always throws an error at the end of the log, but outputs are generated.

Can’t find any output when I specified where to save it and what to name it.

I tested on 3.6 on Windows and Linux, if outputs are defined to a specific path and file name then they are created despite the final message in the

log.

Well, I didn’t find any files so where did they go?

#7 - 2019-03-09 08:11 PM - Giovanni Manghi

Well, I didn’t find any files so where did they go?

post/attach the input you are using and the tool you are using, thanks.

#8 - 2019-03-09 08:18 PM - Andreas Olsson

2024-04-09 3/4



Giovanni Manghi wrote:

Well, I didn’t find any files so where did they go?

post/attach the input you are using and the tool you are using, thanks.

The geoTif is larger than 5mb, there’s a limit here.

#9 - 2019-03-09 08:18 PM - Giovanni Manghi

The geoTif is larger than 5mb, there’s a limit here.

you can add a link to a dropbox/google drive/etc folder?

#10 - 2019-03-12 07:45 AM - Andreas Olsson

Giovanni Manghi wrote:

The geoTif is larger than 5mb, there’s a limit here.

you can add a link to a dropbox/google drive/etc folder?

It seems it was an old friend that was the trouble.

After warping the raster to the same crs it was already in things worked out.

I remember i had a similar solution to another problem earlier.
